Subject: bug#78474: 31.0.50; Wrong char insertion in rxvt

From: Robert Pluim <[email-masked]>
Date: Tue, 29 Jul 2025 09:51:11 +0200

>>>>> On Fri, 25 Jul 2025 13:08:07 +0200, Manuel Giraud <[email-masked]> said:

    Manuel> Samuel Thibault <[email-masked]> writes:
    Manuel> [...]

    >>> Here are my results with this new benchmark:
    >> 
    >> (Several measurements are really needed because of variability)

    Manuel> Why not.  So, here is the benchmark code I used:

So it looks to me like not emitting \t\b is slightly faster. Could you
repost your patch with a user option to enable/disable it? Then we can
discuss what the default should be. Iʼm leaning towards the default
being not emitting it, since the resulting redisplay will be correct
in any case.

Robert
--